/* main components */
body {
  font-size: 0.9rem;
}
/* structure */
@media (max-width: 1200px) {
  .container {
    max-width: 100%;
  }
}
.region-sidebar-first,
.region-sidebar-second,
.region-footer,
.region-content {
  padding: 0;
}
/* --- navbar */
.bg-light {
  background-color: #fff !important;
}
.navbar-toggler {
  padding: 0.25rem;
  border: 0;
  background: #dadada;
  border-radius: 0;
}
.navbar-toggler-icon {
  color: #fff;
}
.nav-link,
.media-library-view--widget .view-header a {
  color: #013b4f;
}

/* --- typography */
h2 {
  font-size: 1.5rem;
}
a {
  color: #337ab7;
  text-decoration: none;
}
#block-haoc-siee-page-title h1 {
  border: 0;
  color: #013b4f;
  font-size: 2em;
  font-weight: 400;
}

/* --- site header */
.site-title {
  font-size: 1em !important;
  letter-spacing: initial !important;
  font-weight: 400 !important;
}

/* --- navbrand */
#block-haoc-siee-branding .navbar-brand {
  display: flex;
  flex-wrap: wrap;
  max-width: 1000px;
  gap: 1rem 0;
}
@media (max-width: 992px) {
  #block-haoc-siee-branding .navbar-brand {
    max-width: 600px;
  }
  #block-haoc-siee-branding .navbar-brand a.site-title {
    white-space: wrap;
  }
}
@media (max-width: 400px) {
  #block-haoc-siee-branding .navbar-brand {
    max-width: 300px;
  }
}
#block-haoc-siee-menuprincipalsistema ul.nav,
#block-haoc-siee-account-menu ul.nav {
  font-size: 0.9rem;
  display: flex;
  justify-content: flex-end;
}
#block-haoc-siee-menuprincipalsistema ul.nav li a,
#block-haoc-siee-account-menu ul.nav li a {
  padding: 5px;
  color: rgba(0, 67, 84, 1) !important;
  font-weight: 900;
}
#block-haoc-siee-branding .navbar-brand a.site-title {
  position: relative;
  top: -2px;
}

/* --- tables */
table.table thead th,
table.sticky-header thead th {
  background: #00a8b3;
  color: #fff;
}
table.table tbody td {
  vertical-align: middle;
}

/* --- forms */
.block-system-main-block form {
  margin: 0 !important;
}
.block-system-main-block form label {
  font-weight: 500;
  font-size: 0.9rem;
}
input[type="text"],
input[type="email"],
input[type="password"],
input[type="date"],
input[type="time"],
input[type="number"],
select {
  border: solid 1px #28909b !important;
  border-radius: 0;
  -webkit-appearance: none !important;
  -webkit-border-radius: 0px !important;
}
button.agree-button,
button.btn,
a.btn,
input[type="submit"] {
  border: 0;
  background: rgba(40, 144, 155, 1);
  color: #fff;
  padding: 6px 10px !important;
  display: inline-block !important;
  border-radius: 0;
  border: 0 !important;
  text-shadow: none;
  box-shadow: none;
}
button.agree-button:hover,
button.agree-button:focus,
button.agree-button:active,
button.btn:hover,
button.btn:focus,
button.btn:active,
a.btn:hover,
a.btn:focus,
a.btn:active,
input[type="submit"]:hover,
input[type="submit"]:focus,
input[type="submit"]:active {
  background: rgba(40, 144, 155, 0.5);
}

/* --- path user */
.path-user .block-system-main-block form,
.path-frontpage .block-system-main-block form {
  background: #f5f5f5;
  max-width: 500px;
  margin: 0 auto !important;
  padding: 1rem;
}
.nav-tabs {
  border-bottom: solid 1px #005d72;
  margin: 1em 0;
  display: flex;
  justify-content: center;
}
.nav-tabs .nav-link.active,
.media-library-view--widget .view-header .nav-link.active,
.media-library-view--widget .view-header a.active,
.media-library-view--widget .view-header a.is-active,
.nav-tabs .nav-item.show .nav-link,
.nav-tabs .nav-item.show .media-library-view--widget .view-header a,
.media-library-view--widget .view-header .nav-item.show .nav-link,
.media-library-view--widget .view-header .nav-item.show a {
  border-color: #005d72;
  border-bottom: solid 1px #fff !important;
}

/* --- cookies */
.eu-cookie-compliance-banner {
  padding: 1rem 0;
  background: rgba(0, 54, 68, 1);
}
.eu-cookie-compliance-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

/* --- footer */
.footer-light {
  background: rgba(0, 67, 84, 1) !important;
  color: #fff !important;
}
.footer-light a {
  color: #fff;
}
#block-haoc-siee-rodape ul.lista-redes-sociais {
  list-style-type: none;
  padding: 0;
}
#block-haoc-siee-rodape ul.lista-redes-sociais li {
  display: inline-block;
  margin: 0 0.1rem;
}
#block-haoc-siee-rodape .row > .col-xs-12 {
  padding: 0;
}
#block-haoc-siee-rodape .sig-redes-sociais {
  text-align: right;
  padding-right: 1rem !important;
}
#block-haoc-siee-rodape .sig-redes-sociais a {
  color: #fff;
  text-align: right;
}
#block-haoc-siee-rodape .footer {
  background: #004354;
  margin-top: 0;
  border: 0;
}
footer.footer .col-xs-12 {
  margin-bottom: 1em;
  color: #fff;
}
footer.footer h3 {
  font-size: 1.3em;
  font-weight: 900;
}
footer.footer p {
  line-height: 1.3em;
  font-weight: 400;
  font-size: 0.9em;
}
.siee-copy img {
  height: 28px;
}

/* --- adding a user to an event --- */
.haoc-siee-useradd {
  padding: 1rem;
  background: #f5f5f5;
  display: grid;
  grid-gap: 10px;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  align-items: flex-end;
}
button.btn {
  display: inline-block;
  padding: 0 !important;
  min-height: 2.4rem;
  margin: 0;
}
.dataTable th {
  background: #f5f5f5;
}

/* attendence dates list */
.itens-checkbox-presenca {
  display: flex;
  flex-wrap: nowrap;
  gap: 1rem;
}
.itens-checkbox-presenca * {
  padding: 0;
  margin: 0 !important;
}
.itens-checkbox-presenca .form-check {
  display: flex;
  flex-direction: column;
  align-items: center;
}
input[type="checkbox"] {
  padding: 0.5rem;
  border: solid 1px #999;
  margin-top: 0.25rem !important;
}

/* account creation */
.path-admin .user-register-form h3 {
  font-size: 1.2rem;
}
div[data-drupal-selector="edit-group-informacoes-pessoais"],
div[data-drupal-selector="edit-group-dados-d"] #edit-account {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  gap: 0 1rem;
}
div[data-drupal-selector="edit-group-dados-d"] #edit-account {
  grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
}
div[data-drupal-selector="edit-group-informacoes-pessoais"] h3,
div[data-drupal-selector="edit-group-dados-d"] #edit-account h3 {
  grid-column: 1 / -1;
}
div[data-drupal-selector="edit-field-estado-cidade-wrapper"] {
  display: flex;
  flex-wrap: no-wrap;
}
div[data-drupal-selector="edit-field-estado-cidade-wrapper"] label {
  display: block;
}
div[data-drupal-selector="edit-field-estado-cidade-wrapper"]
  select:first-of-type {
  margin-bottom: 0.5rem;
}
div[data-drupal-selector="edit-group-dados-d"] #edit-status--wrapper,
div[data-drupal-selector="edit-group-dados-d"] #edit-notify {
  grid-column: 1 / -1;
}

/* --- */
.view-header a.btn {
  margin-bottom: 0.75rem;
}

/* dropdown menu */
.dropbutton-widget {
  border: solid 1px #28909b !important;
  border-radius: 0;
  -webkit-appearance: none !important;
  -webkit-border-radius: 0px !important;
}
.dropbutton-widget li {
  margin: 0;
  padding: 0;
}
.dropbutton-widget li a:hover,
.dropbutton-widget li a:focus,
.dropbutton-widget li a:active,
.dropbutton-action:hover,
.dropbutton-action:focus,
.dropbutton-action:active {
  background: #28909b;
  color: #fff !important;
}

/* superfish menu */
#superfish-menu-principal-sistema {
  font-weight: 700;
}
#superfish-menu-principal-sistema .sf-depth-1 {
  padding: 0.15rem 0;
  text-align: right;
}
#superfish-menu-principal-sistema li {
  float: none !important;
}
#superfish-menu-principal-sistema .sf-depth-1 .sf-sub-indicator {
  display: none;
}
#superfish-menu-principal-sistema li:hover,
#superfish-menu-principal-sistema li:focus,
#superfish-menu-principal-sistema li:active {
  cursor: pointer;
}
#superfish-menu-principal-sistema ul {
  box-shadow: none;
  background: #e1e1e1;
  padding: 5px 0;
  margin-top: 1px;
}
#superfish-menu-principal-sistema ul:after {
  content: "";
  position: absolute;
  top: 0;
  left: 65%;
  width: 0;
  height: 0;
  border: 10px solid transparent;
  border-bottom-color: #e1e1e1;
  border-top: 0;
  margin-left: -10px;
  margin-top: -10px;
}
#superfish-menu-principal-sistema ul li {
  margin: 3px 0;
}
#superfish-menu-principal-sistema ul li > a {
  text-align: left;
  color: #4e4e4e;
  padding: 10px;
  font-weight: 500;
}
#superfish-menu-principal-sistema ul#superfish-menu-principal > li > span {
  color: #004354;
  font-weight: 700;
  font-size: 1.1em;
  text-align: right;
}
#superfish-menu-principal-sistema ul#superfish-menu-principal > li > span:hover,
#superfish-menu-principal-sistema ul#superfish-menu-principal > li > span:focus,
#superfish-menu-principal-sistema
  ul#superfish-menu-principal
  > li
  > span:active {
  cursor: pointer;
}
#superfish-menu-principal-sistema ul li a:hover,
#superfish-menu-principal-sistema ul li a:focus,
#superfish-menu-principal-sistema ul li a:active {
  color: #fff;
  background: #00a8b3;
}
#superfish-menu-principal-sistema .sf-sub-indicator {
  display: none;
}
#superfish-menu-principal-sistema ul.sf-menu a,
#superfish-menu-principal-sistema ul.sf-menu span.nolink {
  padding: 1em 1.1em;
}

.botao-confirmar-part {
  margin: 2rem 0;
  text-align: center;
}

.page-node-type-oficina-evento .node__content {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  gap: 0 1rem;
}
.page-node-type-oficina-evento .node__links,
.page-node-type-oficina-evento .field--name-field-oe-localidade {
  grid-column: 1 / -1;
}
#block-haoc-siee-matriculadosparticipantes {
  margin: 2rem 0 0 0;
}
.haoc-siee-useradd {
  margin: 0 0 2rem 0;
}

.btn-form-matricula {
  display: flex;
  flex-wrap: nowrap;
  gap: 1rem;
}
.btn-form-matricula button {
  flex: 1 1 50%;
}
button.btn-danger {
  background: #dc3545;
}
button.btn-danger:hover,
button.btn-danger:focus,
button.btn-danger:active {
  background: #bb2d3b;
}
.view-participacao-em-eventos-oficinas .view-footer {
  text-align: center;
}
.node-matricula-publica-form {
  padding: 1rem;
  background: #f5f5f5;
}
.form-type-cshs label {
  display: block;
}
.form-type-cshs select {
  margin: 0 0 0.5rem 0;
}
.pub-infos-wrapper {
  display: grid;
  grid-gap: 10px;
  grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
}
.pub-local-wrapper {
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}
.pub-local-wrapper .field--name-field-pub-cep {
  max-width: 110px;
}
.select-wrapper {
  margin-right: 10px;
}
.select-wrapper:last-of-type {
  margin-right: 0;
}
#block-haoc-siee-qrimageblock {
  background: #fafafa;
  padding: 1rem;
  text-align: center;
  margin-bottom: 2rem;
}
#block-haoc-siee-qrimageblock img {
  margin-bottom: 1rem;
  border: solid 3px #999;
}
@media (max-width: 600px) {
  .pub-infos-wrapper {
    grid-template-columns: 1fr !important;
  }
}
.field--name-field-oe-localidade tbody tr {
  border-bottom: solid 1px #ccc;
  margin: 0.5rem 0;
  padding: 0.5rem 0;
}
.field--name-field-oe-localidade tbody tr td {
  border-bottom: solid 1px #ccc;
  margin: 0.5rem 0;
  padding: 0.5rem 0;
}
.field--name-field-oe-localidade tbody tr:last-of-type {
  border: 0;
}
.field--name-field-oe-data-vigencia {
  min-width: 430px !important;
}
.views-table a {
  color: #fff;
}
.views-data-export-feed .feed-icon,
.views-data-export-feed .feed-icon a {
  display: inline-block;
  background-image: none;
  background: rgba(0, 54, 68, 1);
  color: #fff;
  width: initial;
  height: initial;
  overflow: initial;
  text-indent: initial;
  padding: 0.25rem 1rem;
  pointer-events: initial !important;
  cursor: pointer !important;
}
.views-data-export-feed .feed-icon a {
  pointer-events: initial;
  color: #fff;
}
.views-data-export-feed .feed-icon a:hover,
.views-data-export-feed .feed-icon a:focus,
.views-data-export-feed .feed-icon a:active,
.views-data-export-feed .feed-icon a:hover,
.views-data-export-feed .feed-icon a:focus,
.views-data-export-feed .feed-icon a:active {
  background: rgba(0, 155, 188, 1) !important;
}
.dropdown > a {
  border: solid 1px #28909b !important;
  background: #fff;
  color: #666;
  opacity: 1;
}
.dropdown > a:hover,
.dropdown > a:focus,
.dropdown > a:active {
  opacity: 1;
  background: #28909b;
}
.dropdown ul {
  border-radius: 0;
  padding: 0;
  border: solid 1px #28909b;
  top: -4px !important;
}
.dropdown > a[aria-expanded="true"] {
  background: #28909b;
}
.dropdown-menu li {
  border-bottom: solid 1px #e8e8e8;
}
.dropdown-menu li a,
.dropbutton a {
  color: #666;
}
.dropdown-menu li a {
  padding: 0.375rem 0.75rem;
}
.dropdown-menu li a:hover,
.dropdown-menu li a:focus,
.dropdown-menu li a:active {
  background: #28909b;
  color: #fff !important;
}
table tbody a {
  color: var(--bs-table-striped-color) !important;
  text-decoration: underline;
}
table tbody a:hover,
table tbody a:focus,
table tbody a:active {
  color: #00a8b3 !important;
}
form.node-projeto-form > div:first-of-type {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(48%, 1fr));
  gap: 1rem;
}
@media (max-width: 680px) {
  form.node-projeto-form > div:first-of-type {
    grid-template-columns: 1fr;
  }
}

.btn-secondary.dropdown-toggle:hover,
.btn-secondary.dropdown-toggle:focus,
.btn-secondary.dropdown-toggle:active,
.btn-secondary.dropdown-toggle[aria-expanded=true]{
  color: #fff !important;
}
.details-wrapper.card-body .alert.alert-info {
  padding: 0;
  background: none;
  border: 0;
  font-size: 1.2rem;
  font-weight: 700;
  color: rgb(33, 37, 41);
}
.details-wrapper.card-body h2 {
  font-size: 1rem;
  font-weight: 400;
}

.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] button[data-drupal-selector=tabledrag-toggle-weight],
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] button[data-drupal-selector=tabledrag-toggle-weight],
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] fieldset legend,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] fieldset legend,
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper h4,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper h4,
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .field-multiple-drag,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .field-multiple-drag,
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] thead .paragraphs-dropdown-toggle,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] thead .paragraphs-dropdown-toggle,
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraph-type-label,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraph-type-label {
  display: none;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraph-top,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraph-top {
  float: right;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-actions input,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-actions input {
  display: none !important;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-actions .paragraphs-dropdown.open input,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-actions .paragraphs-dropdown.open input {
  display: block !important;
  border: solid 1px #aaa !important;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-dropdown-toggle,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .paragraphs-dropdown-toggle {
  border: solid 1px #ddd;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper{
  display: flex;
  flex-wrap: wrap;
}
.node-oficina-evento-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper:before,
.node-oficina-evento-edit-form div[data-drupal-selector=edit-field-oe-localidade-wrapper] .fieldset-wrapper:before {
  flex: 0 0 100%;
  content: "Dia/Mês/Ano + Hora Inicial/Final";
  margin-bottom: .5rem;
}

.view-content .dropdown ul {
  border: 0;
  border-top: solid 1px #28909b !important;
  border-bottom: solid 1px #28909b !important;
  position: absolute;
}
.view-content .dropdown ul,
.view-content .dropdown ul li,
.view-content .dropdown ul li a {
  background: #fff !important;
}
.view-content .dropdown ul li {
border-left: solid 1px #28909b;
  border-right: solid 1px #28909b;
}
.view-content .dropdown ul li a:hover,
.view-content .dropdown ul li a:focus,
.view-content .dropdown ul li a:active {
  background: #28909b !important;
}

.view-participacao-em-eventos-oficinas {
  display: flex;
  flex-direction: column;
}
.view-participacao-em-eventos-oficinas .contextual {
  order: 1;
}
.view-participacao-em-eventos-oficinas  .view-header {
  order: 3;
  text-align: right;
}
.view-participacao-em-eventos-oficinas  .view-filters {
  order: 2;
}
.view-participacao-em-eventos-oficinas  .view-content {
  order: 4;
}
.view-participacao-em-eventos-oficinas  .view-footer {
  order: 5;
}

.node-oficina-evento-ndof {
  display: flex;
  flex-direction: column;
  margin: 10px;
}

.node-oficina-evento-ndof h2 {
  margin-bottom: 10px;
}

.node-content-ndof {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.group-ndof {
  width: 100%;
  margin-bottom: 10px;
}

.group-title-ndof {
  font-size: 1.0em;
  font-weight: bold;
  margin: 10px 0;
  border-bottom: 1px solid #289599;
  padding-bottom: 10px;
  color: #289599;
}

.fields-group-ndof {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.field-wrapper-ndof {
  flex: 1 1 calc(33.333% - 10px);
  padding: 10px;
}

.field-label-ndof {
  font-weight: bold;
  margin-bottom: 5px;
}

.field-item-ndof {
  margin-bottom: 10px;
}
